Ask Your Question
0

Flathub/Flatpak installation error

asked 2018-12-21 11:56:57 -0500

I installed flathub but when installing calibre via flatpak I get this error in gnome software center "unable to install calibre as runtime "dl.flathub.org" not available."

Is anyone having the same issue with flatpaks? How can I resolve this?

edit retag flag offensive close merge delete

Comments

That may have been a temporary connection problem. How did enable flathub?

florian gravatar imageflorian ( 2018-12-21 22:52:25 -0500 )edit

2 Answers

Sort by ยป oldest newest most voted
1

answered 2018-12-21 12:22:10 -0500

hhlp gravatar image

@czescwitamy -> the best option to install calibre is like this -> calibre-ebook

edit flag offensive delete link more

Comments

That worked! Thanks!

czescwitamy gravatar imageczescwitamy ( 2018-12-21 12:56:41 -0500 )edit
0

answered 2018-12-21 22:46:41 -0500

florian gravatar image

updated 2018-12-21 22:51:02 -0500

From a terminal execute the following command(s):

flatpak search calibre

to install:

flatpak install flathub com.calibre_ebook.calibre

This works only after you have have enabled flathub.org as repository. Should be one click here: https://flatpak.org/setup/Fedora/ - you may have done that already. Check with flatpak remotes

Advantage of the flatpak method: You get updates with your system updates (Gnome Software or flatpak update) and don't have to remember to update calibre manually...

edit flag offensive delete link more

Question Tools

1 follower

Stats

Asked: 2018-12-21 11:56:57 -0500

Seen: 434 times

Last updated: Dec 21 '18